classification
Title: Meta-issue: support of the android platform
Type: enhancement Stage:
Components: Cross-Build Versions: Python 3.6
process
Status: open Resolution:
Dependencies: 16255 22724 23968 26849 26851 26852 26853 26854 26855 26856 26857 26858 26862 26863 26884 26918 26919 26920 26924 26925 26926 26927 26928 26929 26931 26932 26933 26934 26935 26936 26937 26938 26939 26940 26941 26942 26944 27027 27442 27472 27606 27627 27640 27659 28180 28538 28562 28596 28662 28664 28668 28683 28684 28740 28746 28759 28762 28764 28833 28996 28997 29040 29176 29177 29180 29181 29184 29185 Superseder:
Assigned To: Nosy List: Alex.Willmer, Chi Hsuan Yen, Ethan Smith, Roman.Evstifeev, eric.snow, ethan.furman, xdegaye, zach.ware
Priority: normal Keywords:

Created on 2016-04-26 15:36 by xdegaye, last changed 2017-01-19 11:21 by xdegaye.

Messages (38)
msg264310 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-04-26 15:36
This issue lists issues that may have to be fixed in the perspective of a future support of the android platform.

build
    issue #26849: android does not support versioning in SONAME
    issue #26851: android compilation and link flags
    issue #26852: add a COMPILEALL_FLAGS Makefile variable

curses, readline
    issue #26853: missing symbols in curses and readline modules on android

ossaudiodev
    issue #26854: missing header on android for the ossaudiodev module

platform
    issue #16353: add function to os module for getting path to default shell
    issue #26855: add platform.android_ver() for android

pwd
    issue #26856: android does not have pwd.getpwall()

socketmodule
    issue #26857: gethostbyname_r() is broken on android

asyncio tests
    issue #26858: setting SO_REUSEPORT fails on android

unittest
    issue #26859: unittest fails with "Start directory is not importable"

posixmodule
    issue #26862: SYS_getdents64 does not need to be defined on android API 21
    issue #26863: android lacks some declaration for the posix module
msg264485 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-04-29 10:36
build
    issue #26884: cross-compilation of extension module links to the wrong python library

This should be added to the meta-issue dependencies, I guess.
msg264746 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-03 16:04
All the dependencies of this issue are tagged with Components:Cross-Build and a title starting with 'android'.

Tests that fail on an android emulator running an x86 system image at API level 21:

  issue #26918: android: test_pipes fails
  issue #26919: android: test_cmd_line fails
  issue #26920: android: test_sys fails
  issue #26924: android: test_concurrent_futures fails
  issue #26925: android: test_multiprocessing_main_handling fails
  issue #26926: android: test_io fails
  issue #26927: android: test_mmap fails
  issue #26928: android: test_site fails
  issue #26929: android: test_strptime fails
  issue #26931: android: test_distutils fails
  issue #26932: android: test_posix fails
  issue #26933: android: test_posixpath fails
  issue #26934: android: test_faulthandler fails
  issue #26935: android: test_os fails
  issue #26936: android: test_socket fails
  issue #26937: android: test_tarfile fails

Tests that fail on an android emulator running an armv7 system image (but not fail on x86) at API level 21:

  issue #26938: android: test_concurrent_futures hangs on armv7
  issue #26939: android: test_functools hangs on armv7
  issue #26940: android: test_importlib hangs on armv7
  issue #26941: android: test_threading hangs on armv7
  issue #26942: android: test_ctypes crashes on armv7
msg264791 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-04 08:03
Tests that fail on an android emulator running an x86 system image at API level 21:

  issue #26944: android: test_posix fails
msg265610 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-15 10:12
issue #27027: add is_android in test.support to detect Android platform
msg265963 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-05-20 21:04
Xavier: It's been long enough that I don't remember whether regular Users can adjust Dependencies, but since you didn't do it yourself I assume they can't.  I've just given you the Developer role, so you can now :)
msg265988 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-21 07:09
No, regular users can't adjust dependencies, but I can now. Thanks Zachary.
msg266075 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-22 12:45
issue #22747: Interpreter fails in initialize on systems where HAVE_LANGINFO_H is undefined
msg266085 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-05-22 15:58
issue #16255: subrocess.Popen needs /bin/sh but Android only has /system/bin/sh
issue #16353: add function to os module for getting path to default shell
msg269236 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-06-25 12:53
issue #23968: rename the platform directory from plat-$(MACHDEP) to plat-$(PLATFORM_TRIPLET)
msg269296 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-06-26 16:32
issue #22724: byte-compile fails for cross-builds
msg269718 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-02 15:00
issue #27442: expose Android API level in sys.implementation
msg270045 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-09 15:15
issue #27472: add the 'unix_shell' attribute to test.support
msg270942 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-21 17:03
Larry asked in msg 270937:
> Is there a plan to make Android a supported platform in 3.6?

This is the list of Android related issues that will modify the standard library and core Python when fixed:

    issue 16255: subrocess.Popen needs /bin/sh but Android only has /system/bin/sh
[1] issue 26851: android compilation and link flags
    issue 22724: byte-compile fails for cross-builds
    issue 23968: rename the platform directory from plat-$(MACHDEP) to plat-$(PLATFORM_TRIPLET)
    issue 26919: android: test_cmd_line fails
    issue 26920: android: test_sys fails
    issue 26928: _bootlocale imports locale at startup on Android, causing test_site to fail
    issue 26937: android: test_tarfile fails
    issue 26934: android: test_faulthandler fails
    issue 26929: android: test_strptime fails
[2] issue 26942: android: test_ctypes crashes on armv7

All the other issues listed here in this meta-issue are changes to the test suite (mostly skipping some tests). A buildbot must also be setup for the Android emulators and maybe also for an Android device. That means installing the Android sdk and ndk and a build system on the buildbot.

[1] Issue 26851 is an enhancement.
[2] The root cause in issue 26942 is unknown yet.
msg271148 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-24 12:32
issue #27606: Android cross-built for armv5te with clang and '-mthumb' crashes with SIGSEGV or SIGILL
msg271389 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-26 16:05
issue #27627: clang fails to build ctypes on Android armv7
msg271516 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-28 10:34
issue #27640: add the '--disable-test-suite' option to configure
msg271522 - (view) Author: Roman Evstifeev (Roman.Evstifeev) Date: 2016-07-28 11:14
While not only android issue, there is a problem with dumbdbm module: it internally tries to do os.chmod() on a FAT-formatted sdcard and fails, because FAT does not support chmod.
msg271547 - (view) Author: Chi Hsuan Yen (Chi Hsuan Yen) * Date: 2016-07-28 13:42
Some dependent issues, like issue26852, issue26859 and issue27640, are for reducing the size of an installation. How about moving them to another meta-issue? First they are not critical for normal usages on Android. Second they are not limited to Android - other platforms may benefit as well.
msg271567 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-28 16:44
Roman, can you please enter a new issue for that problem.
msg271568 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-28 17:02
> Some dependent issues, like issue26852, issue26859 and issue27640, are for reducing the size of an installation. How about moving them to another meta-issue? First they are not critical for normal usages on Android. Second they are not limited to Android - other platforms may benefit as well.

Many issues that deal with failed tests are also not critical for normal usages on Android, but they must be fixed to run a buildbot and to support Android.
Issue #22724 (byte-compile fails for cross-builds) is also not specific to Android.
IMHO this meta-issue collects (1) the issues that must be fixed for the support of Android and (2) the issues that should possibly be fixed. The issues you are naming and issue 22724 are in the second category.
msg271571 - (view) Author: Chi Hsuan Yen (Chi Hsuan Yen) * Date: 2016-07-28 17:25
Maybe the term "normal usages" is not accurate. I was trying to refer all possible Python usages on Android, and the test suite is a subset of them, so they should be fixed, too. I propose the aforementioned change (creating another meta-issue) because there are already many issues in this meta-issue, and I'm afraid new issues in the second category lead to complexity in tracking CPython's Android support. Currently things are still under control, so you can ignore my request until the number of issues goes crazy.
msg271731 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-31 08:22
issue #27659: Check for the existence of crypt()
msg279496 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-10-26 09:40
issue #28538: _socket module cross-compilation error on android-24
msg279733 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-10-30 16:57
issue #28562: test_asyncio fails on Android upon calling getaddrinfo()
msg279983 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-11-03 09:59
issue #28596: on Android _bootlocale on startup relies on too many library modules
msg280653 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-11-12 11:38
issue #28662: catch also PermissionError in tests when spawning a non existent program
issue #28664: test_bz2 fails with BrokenPipeError when bunzip2 is missing
issue #28668: instanciation of multiprocessing.Queue raises ImportError in test_logging
msg281209 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-11-19 07:53
issue #28740: Add sys.getandroidapilevel()
msg281367 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-11-21 15:40
New issues raised upon testing on the Android API 24 emulator:
  issue #28683: bind() on a unix socket raises PermissionError on Android for a non-root user
  issue #28684: [asyncio] bind() on a unix socket raises PermissionError on Android for a non-root user
  issue #28746: cannot set_inheritable() for a file descriptor on Android
  issue #28759: access to mkfifo, mknod and hard links is controled by SELinux MAC on Android
  issue #28762: configure links with lockf and F_LOCK is not declared in Android API 24
  issue #28764: test_mailbox fails when run as a non-root user on Android API 24
msg282661 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-12-07 20:30
issue #20211: setup.py: do not add system header locations when cross compiling
issue #28190: Detect curses headers correctly for cross-compiling
msg283113 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-12-13 15:11
Removing from the dependencies some issues that have become out of scope.
msg283477 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-12-17 09:06
issue #28996: wcscoll is broken on Android and test_locale fails
issue #28997: test_readline.test_nonascii fails on Android
msg283780 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-12-21 20:27
issue #29040: building Android with android-ndk-r14
msg284743 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-05 12:55
issue #28833: cross compilation of third-party extension modules
msg284757 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-05 16:03
Removing issues from the dependencies list:
    issue #22747: Interpreter fails in initialize on systems where HAVE_LANGINFO_H is undefined
      This issue is fixed for Android.
    issue #26859: unittest fails with "Start directory is not importable" when trying to run sourceless tests
      This issue is out of scope.
msg284854 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-06 21:30
issue #29176: /tmp does not exist on Android and is used by curses.window.putwin()
issue #29177: skip tests of test_logging when bind() raises PermissionError (non-root user on Android)
issue #29180: skip tests that raise PermissionError in test_os (non-root user on Android)
issue #29181: skip tests that raise PermissionError in test_tarfile (non-root user on Android)
issue #29184: skip tests of test_socketserver when bind() raises PermissionError (non-root user on Android)
issue #29185: test_distutils fails on Android API level 24
msg285493 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-14 17:21
Current status:
---------------

Available using the pyona build system [1]:
  * Cross compilation of Python for a given Android API level and architecture with android-ndk-r13b.
  * Cross compilation of third party extension modules (currently as a patch).
  * Interactive interpreter with curses and readline support, the Android adb (remote) shell is used to start the interpreter on the qemu emulator or a device connected with USB.
  * Remote debugging with gdb and support of the python-gdb module.
  * The adb shell is used to start a run of the test suite on the emulator or a device.

To be defined for the support of the Android platform:
  * Support starting with which Python release ?
     sys.getandroidapilevel() has been defined in Python 3.7 by issue 28740, so unless this enhancement is backported to 3.6 the first release to support Android could be 3.7.
  * What is the supported Android API level(s) [2] ?
     Level 21 is the first to provide a reliable wide character support.
     Level 24 is the most recent api level currently supported by the NDK and is the first where the adb shell is run as the 'shell' user instead of as 'root' and as a consequence, where the test suite must now cope with Android SELinux non permitted operations (hard link, mkfifo, mknod, bind on a unix socket).
  * On which architecture(s) ?
     The x86 platform is useful for testing and debugging as it runs fast on the Android qemu emulator.
     AFAIK the armv7 platform is still one of the most widespread Android platforms [3] [4].
  * Building with which NDK version ?
     The next android-ndk-r14 release is the first to provide "Unified headers", see issue #29040.
  * The buildbots run the test suite on the Android qemu emulator or on a device or both ?

Test suite results on the Android qemu emulator:
  test_builtin is excluded in all the tests - test_asyncio is excluded on armv7-android-api-21.
  x86 platform (duration: about 27 minutes, to be compared with 26 minutes when the test suite is run natively on the same laptop).
    api 21: success
    api 24: success
  armv7 platform (duration: about 410 minutes. Without the latest released libffi-3.2.1 that does not build on armv7).
    api 21: success
    api 24: success

Remaining issues:
1) Blocker issues:
  test_builtin:
    issue #13886: failure when test_readline is run before test_builtin.
      This problem is not specific to Android.
  test_asyncio:
    issue #26858: android: setting SO_REUSEPORT fails
      Failure only on armv7 at api 21.

2) Issues with a patch tested successfully on x86 and armv7 at Android api 21 and 24:
  Build:
    issue #28833: cross compilation of third-party extension modules.
  PermissionError raised at api 24:
    test_eintr test_genericpath test_pathlib test_posix test_shutil test_stat
      issue #28759: access to mkfifo, mknod and hard links is controled by SELinux MAC on Android
    test_os:
      issue #29180: skip tests that raise PermissionError in test_os (non-root user on Android)
    test_tarfile:
      issue #29181: skip tests that raise PermissionError in test_tarfile (non-root user on Android)
    test_socketserver:
      issue #29184: skip tests of test_socketserver when bind() raises PermissionError (non-root user on Android)
    test_distutils:
      issue #29185: test_distutils fails on Android api 24
    test_asyncio:
      issue #28684: [asyncio] bind() on a unix socket raises PermissionError on Android for a non-root user.
  Miscellaneous:
    test_asyncio:
      issue #28562: test_asyncio fails on Android upon calling getaddrinfo().
    test_readline:
      issue #28997: test_readline.test_nonascii fails on Android.
    test_curses:
      issue #29176: /tmp does not exist on Android and is used by curses.window.putwin()

3) Enhancement issues:
  issue #26855: android: add platform.android_ver().
  issue #27659: Prohibit implicit C function declarations.
  issue #29040: building Android with android-ndk-r14.

4) Languishing issues:
  issue #22724: byte-compile fails for cross-builds.
  issue #27606: Android cross-built for armv5te with clang and '-mthumb' crashes with SIGSEGV or SIGILL.
  issue #26852: add the '--enable-sourceless-distribution' option to configure.
  issue #27640: add the '--disable-test-suite' option to configure.

[1] https://bitbucket.org/xdegaye/pyona
[2] Andoid versions:
      Android Version      Released        API Level  Name
      Android 7.1          October 2016    25         Nougat
      Android 7.0          August 2016     24         Nougat
      Android 6.0          August 2015     23         Marshmallow
      Android 5.1          March 2015      22         Lollipop
      Android 5.0          November 2014   21         Lollipop
      Android 4.4W         June 2014       20         Kitkat Watch
      Android 4.4          October 2013    19         Kitkat
      Android 4.3          July 2013       18         Jelly Bean
      Android 4.2-4.2.2    November 2012   17         Jelly Bean
      Android 4.1-4.1.1    June 2012       16         Jelly Bean
      Android 4.0.3-4.0.4  December 2011   15         Ice Cream Sandwich
      Android 4.0-4.0.2    October 2011    14         Ice Cream Sandwich
      Android 3.2          June 2011       13         Honeycomb
      Android 3.1.x        May 2011        12         Honeycomb
      Android 3.0.x        February 2011   11         Honeycomb
      Android 2.3.3-2.3.4  February 2011   10         Gingerbread
      Android 2.3-2.3.2    November 2010   9          Gingerbread
      Android 2.2.x        June 2010       8          Froyo
      Android 2.1.x        January 2010    7          Eclair
      Android 2.0.1        December 2009   6          Eclair
      Android 2.0          November 2009   5          Eclair
      Android 1.6          September 2009  4          Donut
      Android 1.5          May 2009        3          Cupcake
      Android 1.1          February 2009   2          Base
      Android 1.0          October 2008    1          Base
[3] https://en.wikipedia.org/wiki/Comparison_of_smartphones
[4] https://en.wikipedia.org/wiki/ARM_Cortex-A
msg285772 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2017-01-19 11:21
issue #28180: sys.getfilesystemencoding() should default to utf-8
History
Date User Action Args
2017-01-19 11:21:27xdegayesetdependencies: + Implementation of the PEP 538: coerce C locale to C.utf-8
messages: + msg285772
2017-01-14 17:21:32xdegayesetmessages: + msg285493
2017-01-06 21:30:19xdegayesetdependencies: + /tmp does not exist on Android and is used by curses.window.putwin(), skip tests of test_logging when bind() raises PermissionError (non-root user on Android), skip tests that raise PermissionError in test_os (non-root user on Android), skip tests that raise PermissionError in test_tarfile (non-root user on Android), skip tests of test_socketserver when bind() raises PermissionError (non-root user on Android), test_distutils fails on Android API level 24
messages: + msg284854
2017-01-05 16:03:13xdegayesetdependencies: - Interpreter fails in initialize on systems where HAVE_LANGINFO_H is undefined, unittest fails with "Start directory is not importable" when trying to run sourceless tests
messages: + msg284757
2017-01-05 12:55:24xdegayesetdependencies: + byte-compile fails for cross-builds, cross compilation of third-party extension modules
messages: + msg284743
2016-12-21 20:27:49xdegayesetdependencies: + building Android with android-ndk-r14
messages: + msg283780
2016-12-17 09:06:07xdegayesetdependencies: + wcscoll is broken on Android and test_locale fails, test_readline.test_nonascii fails on Android
messages: + msg283477
2016-12-14 10:30:02xdegayesetdependencies: - setup.py: do not add system header locations when cross compiling
2016-12-13 15:11:44xdegayesetdependencies: - add function to os module for getting path to default shell, Cross-build _curses failed if host ncurses headers and target ncurses headers have different layouts
messages: + msg283113
2016-12-07 20:30:50xdegayesetdependencies: + setup.py: do not add system header locations when cross compiling, Cross-build _curses failed if host ncurses headers and target ncurses headers have different layouts
messages: + msg282661
2016-11-21 15:40:04xdegayesetdependencies: + bind() on a unix socket raises PermissionError on Android for a non-root user, [asyncio] bind() on a unix socket raises PermissionError on Android for a non-root user, cannot set_inheritable() for a file descriptor on Android, access to mkfifo, mknod and hard links is controled by SELinux MAC on Android, lockf() is available now on Android API level 24, but the F_LOCK macro is not defined, test_mailbox fails when run as a non-root user on Android API 24
messages: + msg281367
2016-11-19 07:53:55xdegayesetdependencies: + Add sys.getandroidapilevel()
messages: + msg281209
2016-11-12 11:38:54xdegayesetdependencies: + catch also PermissionError in tests when spawning a non existent program, test_bz2 fails with BrokenPipeError when bunzip2 is missing, instanciation of multiprocessing.Queue raises ImportError in test_logging
messages: + msg280653
2016-11-03 09:59:11xdegayesetdependencies: + on Android _bootlocale on startup relies on too many library modules
messages: + msg279983
2016-10-30 16:57:53xdegayesetdependencies: + test_asyncio fails on Android upon calling getaddrinfo()
messages: + msg279733
2016-10-26 09:40:53xdegayesetdependencies: + _socket module cross-compilation error on android-24
messages: + msg279496
2016-10-16 00:36:44Ethan Smithsetnosy: + Ethan Smith
2016-09-13 16:39:03xdegayesetdependencies: - byte-compile fails for cross-builds
2016-07-31 08:22:55xdegayesetdependencies: + Prohibit implicit C function declarations
messages: + msg271731
2016-07-28 17:25:11Chi Hsuan Yensetmessages: + msg271571
2016-07-28 17:02:32xdegayesetmessages: + msg271568
2016-07-28 16:44:51xdegayesetmessages: + msg271567
2016-07-28 13:42:35Chi Hsuan Yensetmessages: + msg271547
2016-07-28 11:14:42Roman.Evstifeevsetmessages: + msg271522
2016-07-28 10:34:30xdegayesetdependencies: + add the '--disable-test-suite' option to configure
messages: + msg271516
2016-07-26 16:05:17xdegayesetdependencies: + clang fails to build ctypes on Android armv7
messages: + msg271389
2016-07-24 12:32:57xdegayesetdependencies: + Android cross-built for armv5te with clang and '-mthumb' crashes with SIGSEGV or SIGILL
messages: + msg271148
2016-07-21 17:03:22xdegayesetmessages: + msg270942
2016-07-09 15:15:57xdegayesetdependencies: + add the 'unix_shell' attribute to test.support
messages: + msg270045
2016-07-02 15:00:04xdegayesetdependencies: + expose the Android API level in sysconfig.get_config_vars()
messages: + msg269718
2016-06-26 16:32:52xdegayesetdependencies: + byte-compile fails for cross-builds
messages: + msg269296
2016-06-25 12:55:48xdegayesetdependencies: + rename the platform directory from plat-$(MACHDEP) to plat-$(PLATFORM_TRIPLET)
2016-06-25 12:53:42xdegayesetmessages: + msg269236
2016-05-22 15:58:14xdegayesetdependencies: + subrocess.Popen needs /bin/sh but Android only has /system/bin/sh
messages: + msg266085
2016-05-22 12:45:21xdegayesetdependencies: + Interpreter fails in initialize on systems where HAVE_LANGINFO_H is undefined
messages: + msg266075
2016-05-21 07:09:58xdegayesetmessages: + msg265988
2016-05-21 07:06:39xdegayesetdependencies: + android: test_pipes fails, on Android python fails to decode/encode command line arguments, android: test_sys fails, android: test_concurrent_futures fails, android: test_multiprocessing_main_handling fails, test_io large file test failure on 32 bits Android platforms, test_mmap does not handle ValueError when no large file support, _bootlocale imports locale at startup on Android, causing test_site to fail, android: test_strptime fails, android: test_distutils fails, RTLD_* macros are not defined on Android, android: test_posixpath fails, android: test_faulthandler fails, android: test_os fails, android: test_socket fails, the chown() method of the tarfile.TarFile class fails on Android, android: test_concurrent_futures hangs on armv7, android: test_functools hangs on armv7, android: test_importlib hangs on armv7, android: test_threading hangs on armv7, android: test_ctypes crashes on armv7 and aarch64, test_posix: Android 'id -G' is entirely wrong or missing the effective gid, add the 'is_android' attribute to test.support
2016-05-20 21:04:53zach.waresetnosy: + zach.ware
messages: + msg265963
2016-05-15 10:12:47xdegayesetmessages: + msg265610
2016-05-04 08:03:42xdegayesetmessages: + msg264791
2016-05-03 16:04:59xdegayesetmessages: + msg264746
2016-04-29 11:12:27berker.peksagsetdependencies: + android: cross-compilation of extension module links to the wrong python library
2016-04-29 10:36:06xdegayesetmessages: + msg264485
2016-04-26 16:50:02Chi Hsuan Yensetnosy: + Chi Hsuan Yen
2016-04-26 16:25:28eric.snowsetnosy: + eric.snow
2016-04-26 16:06:14ethan.furmansetnosy: + ethan.furman
2016-04-26 16:04:41zach.waresetdependencies: + add function to os module for getting path to default shell, android does not support versioning in SONAME, android compilation and link flags, add the '--enable-sourceless-distribution' option to configure, missing symbols in curses and readline modules on android, missing header on android for the ossaudiodev module, android: add platform.android_ver(), android does not have pwd.getpwall(), gethostbyname_r() is broken on android, setting SO_REUSEPORT fails, unittest fails with "Start directory is not importable" when trying to run sourceless tests, android: SYS_getdents64 does not need to be defined on android API 21, android lacks some declarations for the posix module
title: toward the support of the android platform -> Meta-issue: support of the android platform
2016-04-26 16:00:10Roman.Evstifeevsetnosy: + Roman.Evstifeev
2016-04-26 15:36:51xdegayecreate